USE [master]
GO
IF NOT EXISTS (SELECT name FROM sys.databases WHERE name = N'adr')
BEGIN
CREATE DATABASE [adr] ON  PRIMARY 
( NAME = N'adr', FILENAME = N'C:\Program Files\Microsoft SQL Server\MSSQL.1\MSSQL\DATA\adr.mdf' , SIZE = 3072KB , MAXSIZE = UNLIMITED, FILEGROWTH = 1024KB )
 LOG ON 
( NAME = N'adr_log', FILENAME = N'C:\Program Files\Microsoft SQL Server\MSSQL.1\MSSQL\DATA\adr_log.ldf' , SIZE = 1024KB , MAXSIZE = 2048GB , FILEGROWTH = 10%)
END

GO
EXEC dbo.sp_dbcmptlevel @dbname=N'adr', @new_cmptlevel=90
GO
IF (1 = FULLTEXTSERVICEPROPERTY('IsFullTextInstalled'))
begin
EXEC [adr].[dbo].[sp_fulltext_database] @action = 'enable'
end
GO
ALTER DATABASE [adr] SET ANSI_NULL_DEFAULT OFF 
GO
ALTER DATABASE [adr] SET ANSI_NULLS OFF 
GO
ALTER DATABASE [adr] SET ANSI_PADDING OFF 
GO
ALTER DATABASE [adr] SET ANSI_WARNINGS OFF 
GO
ALTER DATABASE [adr] SET ARITHABORT OFF 
GO
ALTER DATABASE [adr] SET AUTO_CLOSE OFF 
GO
ALTER DATABASE [adr] SET AUTO_CREATE_STATISTICS ON 
GO
ALTER DATABASE [adr] SET AUTO_SHRINK OFF 
GO
ALTER DATABASE [adr] SET AUTO_UPDATE_STATISTICS ON 
GO
ALTER DATABASE [adr] SET CURSOR_CLOSE_ON_COMMIT OFF 
GO
ALTER DATABASE [adr] SET CURSOR_DEFAULT  GLOBAL 
GO
ALTER DATABASE [adr] SET CONCAT_NULL_YIELDS_NULL OFF 
GO
ALTER DATABASE [adr] SET NUMERIC_ROUNDABORT OFF 
GO
ALTER DATABASE [adr] SET QUOTED_IDENTIFIER OFF 
GO
ALTER DATABASE [adr] SET RECURSIVE_TRIGGERS OFF 
GO
ALTER DATABASE [adr] SET  ENABLE_BROKER 
GO
ALTER DATABASE [adr] SET AUTO_UPDATE_STATISTICS_ASYNC OFF 
GO
ALTER DATABASE [adr] SET DATE_CORRELATION_OPTIMIZATION OFF 
GO
ALTER DATABASE [adr] SET TRUSTWORTHY OFF 
GO
ALTER DATABASE [adr] SET ALLOW_SNAPSHOT_ISOLATION OFF 
GO
ALTER DATABASE [adr] SET PARAMETERIZATION SIMPLE 
GO
ALTER DATABASE [adr] SET  READ_WRITE 
GO
ALTER DATABASE [adr] SET RECOVERY SIMPLE 
GO
ALTER DATABASE [adr] SET  MULTI_USER 
GO
ALTER DATABASE [adr] SET PAGE_VERIFY CHECKSUM  
GO
ALTER DATABASE [adr] SET DB_CHAINING OFF 
USE [adr]
GO
IF NOT EXISTS (SELECT * FROM sys.database_principals WHERE name = N'MAPINFO')
CREATE USER [MAPINFO] FOR LOGIN [MAPINFO] WITH DEFAULT_SCHEMA=[MAPINFO]
GO
IF NOT EXISTS (SELECT * FROM sys.schemas WHERE name = N'MAPINFO')
EXEC sys.sp_executesql N'CREATE SCHEMA [MAPINFO] AUTHORIZATION [dbo]'

GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[town]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[town](
	[id] [int] IDENTITY(1,1) NOT NULL,
	[name] [varchar](50) NULL,
	[objstyle] [varchar](100) NULL,
	[sw_geometry] [image] NULL,
 CONSTRAINT [PK_town] PRIMARY KEY CLUSTERED 
(
	[id] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
END
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[MAPINFO].[MAPINFO_MAPCATALOG]') AND type in (N'U'))
BEGIN
CREATE TABLE [MAPINFO].[MAPINFO_MAPCATALOG](
	[SPATIALTYPE] [float] NULL,
	[TABLENAME] [varchar](32) NULL,
	[OWNERNAME] [varchar](32) NULL,
	[SPATIALCOLUMN] [varchar](32) NULL,
	[DB_X_LL] [float] NULL,
	[DB_Y_LL] [float] NULL,
	[DB_X_UR] [float] NULL,
	[DB_Y_UR] [float] NULL,
	[COORDINATESYSTEM] [varchar](254) NULL,
	[SYMBOL] [varchar](254) NULL,
	[XCOLUMNNAME] [varchar](32) NULL,
	[YCOLUMNNAME] [varchar](32) NULL,
	[RENDITIONTYPE] [int] NULL,
	[RENDITIONCOLUMN] [varchar](32) NULL,
	[RENDITIONTABLE] [varchar](32) NULL,
	[NUMBER_ROWS] [int] NULL
) ON [PRIMARY]
END
GO

IF NOT EXISTS (SELECT * FROM sys.indexes WHERE object_id = OBJECT_ID(N'[MAPINFO].[MAPINFO_MAPCATALOG]') AND name = N'MAPCATALOG_IDX')
CREATE UNIQUE NONCLUSTERED INDEX [MAPCATALOG_IDX] ON [MAPINFO].[MAPINFO_MAPCATALOG] 
(
	[TABLENAME] ASC,
	[OWNERNAME] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[street]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[street](
	[id] [int] IDENTITY(1,1) NOT NULL,
	[id_town] [int] NULL,
	[name] [varchar](50) NULL,
	[objstyle] [varchar](100) NULL,
	[sw_geometry] [image] NULL,
 CONSTRAINT [PK_street] PRIMARY KEY CLUSTERED 
(
	[id] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
END
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[house]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[house](
	[id] [int] IDENTITY(1,1) NOT NULL,
	[id_street] [int] NULL,
	[number] [smallint] NULL,
	[objstyle] [varchar](100) NULL,
	[sw_geometry] [image] NULL,
 CONSTRAINT [PK_house] PRIMARY KEY CLUSTERED 
(
	[id] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
END
GO
IF NOT EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK_street_town]') AND parent_object_id = OBJECT_ID(N'[dbo].[street]'))
ALTER TABLE [dbo].[street]  WITH CHECK ADD  CONSTRAINT [FK_street_town] FOREIGN KEY([id_town])
REFERENCES [dbo].[town] ([id])
GO
ALTER TABLE [dbo].[street] CHECK CONSTRAINT [FK_street_town]
GO
IF NOT EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK_house_street]') AND parent_object_id = OBJECT_ID(N'[dbo].[house]'))
ALTER TABLE [dbo].[house]  WITH CHECK ADD  CONSTRAINT [FK_house_street] FOREIGN KEY([id_street])
REFERENCES [dbo].[street] ([id])
GO
ALTER TABLE [dbo].[house] CHECK CONSTRAINT [FK_house_street]
